/* 	$Id: xirw.h,v 1.6 2001/02/04 21:47:34 columbus Exp $	 */

#ifndef XIRW_H
#define XIRW_H

#include <qapp.h>
#include <qlabel.h> 
#include <qfont.h>
#include <qpalette.h>
#include <qsocketnotifier.h>

#include <lirc/lirc_client.h>

#define PACKET_SIZE 256

class Xirw : public QWidget
{
	Q_OBJECT
public:
	
	Xirw(QWidget * parent=0, const char * name=0, WFlags f=0);
	~Xirw();
public slots:
	void update(void);
protected:
	void keyPressEvent(QKeyEvent *);
	void timerEvent(QTimerEvent *e);
private:
	int sock;
	QSocketNotifier *sn;
	struct lirc_config *config;
	QLabel *label;
	QPalette off,on;
};

#endif // XIRW_H
